### Method

# FwupdPlugin UdevDevice get_device_file

since: 1.3.1

#### Declaration [src]

    const gchar*
    fu_udev_device_get_device_file (
      FuUdevDevice* self
    )

#### Description [src]

Gets the device node.

Available since: 1.3.1

Gets property | `FwupdPlugin.UdevDevice:device-file`

#### Return value

Type: `const gchar*`

A device file, or NULL if unset.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.